| Last modification  	| Status  	|
|--------------------	|---------	|
| 22/02/2022         	| Draft   	|

# Short message mailbox messages description



## Command message 
### AX25 UI Frame Command
| Flag | Destination Calssign | Destination SSID  | Source Address | Source SSID | Control Bits | Protocol | Mailbox commandes | Mailbox Parameters | Frame Check Sequence  | Flag |
|------|----------------------|-------------------|----------------|--------------|-------------|----------|-------------------|-------------------|-----------------------------|------|
| 8    | 48                   | 8                 |     48         | 8            | 8           | 8        | 8                 | 0-242             |  16                | 8    |

### Commands



|            Command Name       | Commande value |                        parameters                        | comment |
|:-----------------------------:|:--------------:|:--------------------------------------------------------:|:-------:|
| Add Message                   |        0       | Message contents [0-242] bytes                           |         |
| Delette message               |        1       | Mailbox Name : (Callsign) 6 byte                         |         |
|                               |                | Message ID : 1 byte                                      |         |
| Delette mailbox               |        2       | Mailbox Name : (Callsign) 6 byte                         |         |
| List all mailbox              |        3       |                                                          |         |
| List all message in a mailbox |        4       | Mailbox Name : (Callsign) 6 byte                         |         |
| Flush all mailbox             |        5       | Secure word :  4 bytes                                   |         |
| Read message                  |        6       | Mailbox Name : (Callsign) 6 byte                         |         |
|                               |                | Message ID : 1 byte                                      |         |

## Acknolegment Message 

### AX25 UI Frame Acknolegment

| Flag | Destination Calssign | Destination SSID  | Source Address | Source SSID | Control Bits | Protocol | Mailbox Acknolegment|  Parameters       | Frame Check Sequence  | Flag |
|------|----------------------|-------------------|----------------|--------------|-------------|----------|---------------------|-------------------|-----------------------------|------|
| 8    | 48                   | 8                 |     48         | 8            | 8           | 8        | 8                   | 0-1               |  16                | 8    |



The call sign of the station that sent the message will be put in the destination field of the AX25 frame header.

### Acknolegment Value 

| Return                                 | Value | parameter                   | Comments                                      |
|----------------------------------------|:-----:|-----------------------------|-----------------------------------------------|
| Message added                          |   0   | Message identifier : 1 byte |                                               |
| Mailbox created and message added      |   1   | Message identifier : 1 byte |                                               |
| Commande accepted                      |   2   | Command identifier : 1 byte |                                               |
| Error - Message too long               |   -1  |                             |                                               |
| Error - Message empty                  |  -2   |                             |                                               |
| Error - Mailbox not available          |   -3  |                             | Maximum mailbox number reached                |
| Error - Mailbox full                   |   -4  |                             | Maximum message number reached in the mailbox |
| Error - Commande not executed          |   -5  | Command identifier : 1 byte |                                               |
| Error - Message box mode not available |  -127 |                             |                                               |

